/*
GoFans Client Copyright (C) 2010 Robert Grning (GoFans)
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions. 
<http://www.gnu.org/licenses/>
*/
//class
DesignerHandler = function(){

	this.Designers = new Array();
	this.CurrentDesignerIndex = -1;
	this.CurrentDesignIndex = -1;
}

//public
DesignerHandler.prototype.AddDesigner = function(designer){  
 
	this.Designers[this.Designers.length] = designer;
}

//public
DesignerHandler.prototype.GetDesignerIndex = function(designerName){  

	var i = 0;
 
	for (; i < this.Designers.length; i++)
	{
		if(this.Designers[i].Name == designerName)
		{
			break;
		}
	}	
 
	return i;
}

//public
DesignerHandler.prototype.SetCurrentDesign = function(designerIndex, designIndex){  
 
	this.CurrentDesignerIndex = designerIndex;
	this.CurrentDesignIndex = designIndex;
}

//public
DesignerHandler.prototype.GetCurrentDesigner = function(){  
 
	return this.Designers[this.CurrentDesignerIndex];
}

//public
DesignerHandler.prototype.GetCurrentDesign = function(){  
 
	return this.GetCurrentDesigner().Designs[this.CurrentDesignIndex];
}
