/*
GoFans Client Copyright (C) 2010 Robert Grning (GoFans)
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions. 
<http://www.gnu.org/licenses/>
*/
//class
function ControlEditor(){
 
	this.divEditor = document.getElementById("divEditor");
	this.selectDesign = document.getElementById("selectDesign");
	this.labelDesign = document.getElementById("labelDesign");
}

//public
ControlEditor.prototype.SetTexts = function(){
 
	this.labelDesign.innerHTML = _pageGoban.TextHandler.GetText("design");

	this.LoadSelectDesign();
}

//public
ControlEditor.prototype.Enable = function () {

    this.private_Disable(false);
}

//public
ControlEditor.prototype.Disable = function () {

    this.private_Disable(true);
}

//private
ControlEditor.prototype.private_Disable = function (disable) {

	this.DisableSelectDesign(disable);
}

//public
ControlEditor.prototype.DisableSelectDesign = function (disable) {

    this.selectDesign.disabled = disable;
}

//public
ControlEditor.prototype.Hide = function(){
 
 this.divEditor.style.display = "none";
}

//public
ControlEditor.prototype.Show = function(){
 
 this.divEditor.style.display = "";
}

//public
ControlEditor.prototype.LoadSelectDesign = function () {

    this.selectDesign.innerHTML = "";
    var defaultIndex = 0;
    var isDefaultFound = false;

    for (var i = 0; i < _pageGoban.DesignerHandler.Designers.length; i++) {
        var optgroup = document.createElement("optgroup");
        optgroup.setAttribute("label", _pageGoban.DesignerHandler.Designers[i].Name);

        for (var j = 0; j < _pageGoban.DesignerHandler.Designers[i].Designs.length; j++) {

		    var option = document.createElement("option");
		    option.setAttribute("value", i + ";" + j);
		    option.appendChild(document.createTextNode(_pageGoban.DesignerHandler.Designers[i].Designs[j].Name));
		    optgroup.appendChild(option);

		    if (i == _pageGoban.DesignerHandler.CurrentDesignerIndex && j == _pageGoban.DesignerHandler.CurrentDesignIndex) {
		        isDefaultFound = true;
		    }

		    if (isDefaultFound == false) {
		        defaultIndex++;
		    }
        }
        if (optgroup.childNodes.length > 0) {
            this.selectDesign.appendChild(optgroup);
        }
    }

    if (isDefaultFound == true) {
        this.selectDesign.selectedIndex = defaultIndex;
    }
    //this.private_SetDesign();
}

//event
ControlEditor.prototype.selectDesign_OnChange = function () {

	var pattern = /^([\d]+);([\d]+)$/;
	_pageGoban.DesignerHandler.SetCurrentDesign(this.selectDesign.value.match(pattern)[1], this.selectDesign.value.match(pattern)[2]);

    _pageGoban.controlInformation.SetColors();
    _pageGoban.controlGoban.RefreshBoardDesign();
}
