/*
GoFans Client Copyright (C) 2010 Robert Grning (GoFans)
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions. 
<http://www.gnu.org/licenses/>
*/
//class
function ControlLoad(){
  
 //initialize elements
 this.divLoad = document.getElementById("divLoad");
 this.buttonLoadLoad = document.getElementById("buttonLoadLoad");
 this.textboxLoadFilePath = document.getElementById("textboxLoadFilePath");
 
 //public properties
 this.IsShown = true;
}

//public
ControlLoad.prototype.SetTexts = function(){
 
 this.buttonLoadLoad.value = _pageGoban.TextHandler.GetText("load");
 this.textboxLoadFilePath.value = "Games/Demo.xml";
}

//public
ControlLoad.prototype.Hide = function(){
 
 this.divLoad.style.display = "none";
 this.IsShown = false;
}

//public
ControlLoad.prototype.Show = function(){
 
 this.divLoad.style.display = "";
 this.IsShown = true;
}

//event
ControlLoad.prototype.buttonLoadLoad_OnClick = function(){ 

 var filePath = this.textboxLoadFilePath.value;
 var isFilePathValid = this.private_IsFilePathValid(filePath);
 
 if (isFilePathValid == true)
 {
	if(filePath.toLowerCase().lastIndexOf(".xml") == (filePath.length - 4))
	{
		if (window.ActiveXObject)
		{
			_xmlGame = new ActiveXObject('Microsoft.XMLDOM');
			_xmlGame.async = "false";
			_xmlGame.onreadystatechange = this.private_ImportXml;
			_xmlGame.load(filePath);  
		}
		else
		{
			_xmlGame = document.implementation.createDocument("","",null);
			_xmlGame.load(filePath);
			_xmlGame.onload = this.private_ImportXml;
		}
	} 
 }
 else
 {
  _pageGoban.controlConsole.Write(_pageGoban.TextHandler.GetText(406));
 }
}

//private
ControlLoad.prototype.private_IsFilePathValid = function(filePath){

 var isFilePathValid = false;

 var pattern = /Games\/([\W\w]+?)(\.xml)/;

 if(pattern.test(filePath) == true)
 {
  isFilePathValid = true;
 }
 
 return isFilePathValid;
}

//event
ControlLoad.prototype.private_ImportXml = function(){

	if(_xmlGame.readyState == 4 /*IE*/ || _xmlGame.readyState == "complete" /*FF, Opera, ...*/)
	{
		var gameConverterXml = new GameConverterXml();
		gameConverterXml.Xml = _xmlGame;
		gameConverterXml.Import();
		_pageGoban.controlConsole.Write(_pageGoban.TextHandler.GetText(gameConverterXml.Message));
		if(gameConverterXml.Message == 206)
		{
			_pageGoban.controlMenu.controlLoad.Hide();
			_pageGoban.DesignerHandler.SetCurrentDesign(0, 0);
			_pageGoban.LoadGame(gameConverterXml.Game);
		} 
	}
}

//event
ControlLoad.prototype.private_ImportSgf = function(){

	if(_xmlGame.readyState == 4 /*IE*/ || _xmlGame.readyState == "complete" /*FF, Opera, ...*/)
	{
		alert();
		var gameConverterSgf = new GameConverterSgf();
		gameConverterSgf.Xml = _xmlGame;
		gameConverterSgf.Import();
		_pageGoban.controlConsole.Write(_pageGoban.TextHandler.GetText(gameConverterSgf.Message));
		if(gameConverterSgf.Message == 206)
		{
			_pageGoban.controlMenu.controlLoad.Hide();
			_pageGoban.DesignerHandler.SetCurrentDesign(0, 0);
			_pageGoban.LoadGame(gameConverterSgf.Game);
		} 
	}
}
