/*
GoFans Client Copyright (C) 2010 Robert Grning (GoFans)
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions. 
<http://www.gnu.org/licenses/>
*/
//class
ControlMenu = function(){
 
	/*variables*/
	this.buttonMenuNew = document.getElementById("buttonMenuNew");
	this.buttonMenuLoad = document.getElementById("buttonMenuLoad");
	this.buttonMenuSave = document.getElementById("buttonMenuSave");
 
	//subcontrols
	this.controlNew = new ControlNew();
	this.controlLoad = new ControlLoad();
	this.controlSave = new ControlSave();
}

//public
ControlMenu.prototype.SetTexts = function(){
 
	this.buttonMenuNew.value = _pageGoban.TextHandler.GetText("new");
	this.buttonMenuLoad.value = _pageGoban.TextHandler.GetText("load");
	this.buttonMenuSave.value = _pageGoban.TextHandler.GetText("save");
}

//public
ControlMenu.prototype.Hide = function(){
 
	this.divNew.style.display = "none"; 
}

//public
ControlMenu.prototype.Show = function(){
 
	this.divNew.style.display = "";
}

//event
ControlMenu.prototype.buttonMenuNew_OnClick = function(){

	if(this.controlNew.IsShown == true)
	{
		this.controlNew.Hide();
	}
	else
	{
		this.controlNew.SetTexts();
		this.controlNew.Show();
		this.controlLoad.Hide();
		this.controlSave.Hide();
	}
}

//event
ControlMenu.prototype.buttonMenuLoad_OnClick = function(){

	if(this.controlLoad.IsShown == true)
	{
		this.controlLoad.Hide();
	}
	else
	{
		this.controlNew.Hide();
		this.controlLoad.SetTexts();
		this.controlLoad.Show();
		this.controlSave.Hide();
	}
}

//event
ControlMenu.prototype.buttonMenuSave_OnClick = function(){

	if(this.controlSave.IsShown == true)
	{
		this.controlSave.Hide();
	}
	else
	{
		this.controlNew.Hide();
		this.controlLoad.Hide();
		this.controlSave.Save();
		this.controlSave.Show();
	}
}
